global dise2016 ~/iec2/dise/dise-2016

/****************************************/
/* create key for PC01 to new DISE      */
/****************************************/
use $dise2016/dise-new-basic-clean, clear

keep vilcd dise_village_name year dise_state

drop if inlist(trim(dise_state), "NORTH-EASTERN-STATES")

/* keep just one of each village, since doing this match at the village level */
duplicates drop vilcd, force

/* merge to the population census key */
merge m:1 vilcd using $dise/dise_village_key, keepusing(pc01_state_id pc01_village_id pc01_state_name pc01_village_name)
keep if _merge == 3
drop _merge

keep pc01_state_id pc01_village_id vilcd
duplicates drop
save $dise2016/new-dise-pc01-key, replace

/***********************************************************************/
/* create a thin version of DISE with only the variables we care about */
/***********************************************************************/

/* general */
use dise_state year vilcd schcd rururb schcat schtype using $dise2016/dise-new-general-clean, clear
drop if inlist(trim(dise_state), "NORTH-EASTERN-STATES")
ddrop vilcd schcd year
save $tmp/dise-general-short, replace

/* facilities */
use dise_state year vilcd schcd elec water library toilet_common toilet_girls using $dise2016/dise-new-facility-clean, clear
drop if inlist(trim(dise_state), "NORTH-EASTERN-STATES")
ddrop vilcd schcd year
save $tmp/dise-facility-short, replace

/* enrollment */
use dise_state year vilcd schcd enr_all enr_all_p enr_all_up enr_all_hs enr_all_b enr_all_g enr_all_up_b enr_all_up_g enr_all_p_b enr_all_p_g appear7 pass7 m607 using $dise2016/dise-new-enr-clean, clear
drop if inlist(trim(dise_state), "NORTH-EASTERN-STATES")
ddrop vilcd schcd year
save $tmp/dise-enr-short, replace

/* combine all short datasets */
use $tmp/dise-general-short, clear

merge 1:1 vilcd schcd year using $tmp/dise-facility-short
ren _merge _merge_facility

merge 1:1 vilcd schcd year using $tmp/dise-enr-short
ren _merge _merge_enr

/* get population census identifiers and keep only the matches */
merge m:1 vilcd using $dise2016/new-dise-pc01-key, keepusing(pc01_state_id pc01_village_id) keep(match) nogen

/* save short new dise with vars of interest */
save $tmp/dise-new-short, replace

