/************************************************************************/
/* Code package for Adukia, Asher, and Novosad, "Educational Investment */
/* Responses to Economic Opportunity: Evidence from Indian Road         */
/* Construction"                                                        */
/************************************************************************/

/*

This file describes all the files provided in the replication
package. The DISE is offered in various formats, so our cleaning files
may or may not be directly applicable depending on which version is
being worked with. Our version was a set of Excel spreadsheet covering
the period from 2002-2015.
*/

/**********************************/
/* LOAD PROGRAMS USED IN ANALYSIS */
/**********************************/
do include_pub

/* load standard programs used in DISE building / analysis */
do dise_progs

/****************************/
/* BUILD DISE-PMGSY DATASET */
/****************************/
/* convert excel spreadsheets to dta files */
do convert_dise

/* parse Excel data and fix all variable names */
do clean_dise

/* combine all dise parts into a single short dataset with the parts needed for electrification */
do create_dise_short

/* combine Excel sheets with prior pull of the data */
do combine_old_new_dise

/* create electricity gain and road variables and collapse to village level */
do prep_dise

/* create PMGSY dataset */
do prep_dise_pmgsy

/******************************************/
/* CREATE TABLES AND FIGURES FOR AAN-2019 */
/******************************************/

/* Summary Stats: Table 1 */
do table_summary

/* Panel regressions: Tables 2, 3, 6, 7, 8, A2, A4, A5, A6, A8, Figure A6A */
do table_pmgsy_panel

/* RD regressions: Tables 4, 6, Figures 3, 4 */
/* [Figure A5 made from iv_ests.csv generated here, using coefplot_v.m] */
do table_rd

/* Panel exam regressions: Tables 5, 6 */
do table_exams

/* Graphs: Figures 1, 3, 4, A3 */
do dise_graphs

/* Panel graph: Figure 2 */
do panel_graph

/* Appendix Tables A1, A7,  */
do appendix_tables

/* RD Balance: Table A3, Figure A4, A6B */
do table_rd_balance

/* Permutation Test: Figure A2 */
do permutation_test


